Subject: Re: How do I get the contents of a directory in fast-import

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Jan 2016 18:56:49 -0500

Any help would be greatly welcome, including "sorry, can't do that".

        Stefan

>>>>> "Stefan" == Stefan Monnier <[email-masked]> writes:

> I have a program which tries to collect info from lots of branches and
> generate some table from that data into another branch.

> For performance reasons, I'd like to do that from fast-import, and as
> long as I know the name of all the files I need to consult, everything
> is fine since I can use the "ls" and "cat-blob" commands of fast-import
> to get efficiently the data I need.

> But I also need to look at some files whose names I don't know beforehand
> (i.e. all the files in some directories).  If I do "cat-blob" on those
> directories I get some binary "thing" which I don't understand.

> So how do I get a directory listing from fast-inmport, i.e.
> like I can get with "git cat-file -p", but without having to fork
> a separate git process?

>         Stefan